Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228729 - review of README-Accessibility for F7
Summary: review of README-Accessibility for F7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: release-notes
Version: devel
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Release Notes Tracker
QA Contact: Karsten Wade
URL:
Whiteboard:
Depends On:
Blocks: fc-relnotes-traqr
TreeView+ depends on / blocked
 
Reported: 2007-02-14 17:45 UTC by Karsten Wade
Modified: 2018-04-11 19:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-06 18:23:31 UTC


Attachments (Terms of Use)

Description Karsten Wade 2007-02-14 17:45:55 UTC
We need to be sure to review and update (including copyright details) this file
for F7.

Comment 1 Paul W. Frields 2007-04-08 19:06:49 UTC
I've done a minor update, but added no real material as of yet.  We really need
someone with a11y experience to bring updated advice to this document.

Comment 2 Matěj Cepl 2007-05-07 08:03:19 UTC
Just to be sure, it doesn't fall through cracks (again). This is from
README-Accessibility file for FC6:

    Red Hat provides the up2date client and Red Hat Network. These
    services simplify file management and make it easier to
    effortlessly keep their computers secure and up to date.

I don't think so (and it wasn't true in FC6 already) -- both as there is no
up2date anymore, and I don't think you get RHN with Fedora.


Comment 3 Karsten Wade 2007-05-07 08:39:42 UTC
We have two choices at this point:

1. Drop the file us "unmaintained"
2. Maintain it

However, to do 2., we'll need an accessibility expert.  Hence, the addition of
Messrs. Spevack and DeKoenigsberg.

Gents -- does Red Hat have any a11y expertise who can proof read this file for
us by 10 May?  Or maybe we have a few days longer than that, but not much; it's
part of the fedora-release-notes package, IIRC.

Comment 4 Rahul Sundaram 2007-05-07 08:52:20 UTC
David Zeuthen expressed some interest in fedora live cd list

Comment 5 David Zeuthen 2007-05-07 18:25:23 UTC
We cannot drop this file. There's some notes here

 https://www.redhat.com/archives/fedora-livecd-list/2007-May/msg00006.html

that also applies to an ordinary install. It would be good if someone can take
these and incorporate. Note that I'm planning to start up a Fedora accessibility
SIG soon (just been too busy lately to get it started); hopefully with that we
can get more contributors and more people working on it.

Proposal: For Fedora 7, maintain the status quo (perhaps add some notes from my
mail there). For Fedora 8, have a SIG and start kicking more ass on a11y.

How about that?

Comment 6 Karsten Wade 2007-05-08 18:09:02 UTC
Thanks for weighing in, we'll definitely keep the file.

One issue that has to wait for F8 is that this file is not localized or readily
able to be localized.  It's far too late in the cycle to do anything about that,
sorry.  To be honest, we didn't know who was interested in a11y in Fedora, so we
didn't know who to turn to for ideas.  Now that we know, we'll make up for lost
time. :)

For Fedora 7, we'll do this:

* I've pasted the file into this Wiki location; it's ugly but experience shows
we'll get more contributors this way than buried in CVS:

http://fedoraproject.org/wiki/Docs/Beats/Accessibility

* Let's get any changes, such as what David offers, into that file, get it
vetted, and back out to CVS by the end of the week (11 May).

I tweaked the file in minor formatting ways so that it gives nice Wiki output. 
Please let us know if the ASCII formatting has to be in a specific style, such
as for a screen reader.  If so, we'll i) fix the formatting when converting back
from Wiki, and ii) make an XSL that outputs that format in the toolchain.

For Fedora 8, what I'd like to do is add a new beat for a11y, and have the
content pushed into the stand-alone file.  It is then in XML, meaning we can i)
get it translated using the existing toolchains, and ii) make it available for
XSLT or other tricks to convert it to machine-read audio, human-read audio,
braille, etc.


Comment 7 Paul W. Frields 2007-10-28 17:46:15 UTC
We missed this target I think, so we need to try getting this done for F9.  For
that to happen, it really ought to have a champion in the Docs Project.  I would
like to see David, Matej, or some other interested party join us to get this done.

Comment 8 Jason Taylor 2009-01-08 15:23:07 UTC
Just checking to see where we are with this. Thanks :)

Comment 9 Karsten Wade 2010-03-06 18:23:31 UTC
The README was modified to work with current tools, is included again for translation, and content was updated for the distro.


Note You need to log in before you can comment on or make changes to this bug.